Constructor that disallows instantiation

- « WeakReference

- WeakReference::create »

- PHP Manual
- WeakReference
- Constructor that disallows instantiation

# WeakReference::__construct

(PHP 7 >= 7.4.0, PHP 8)

WeakReference::__construct — Constructor that disallows instantiation

### Description

public WeakReference::__construct()

This method exists only to disallow instantiation of the WeakReference class. Weak references are to be instantiated with the factory method WeakReference::create().

### Parameters

This function has no parameters.

### See Also

- WeakReference::create() - Create a new weak reference